summaryrefslogtreecommitdiffstats
path: root/office/auctex
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-12 17:44:35 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:44:35 +0200
commit912023ad7d66bccb1887bd009fbe224d9006d69b (patch)
treece06a9c9ec60ba342274fdc1305e2129c9ceee30 /office/auctex
parentb1b6bb907f5b3ed35617b35c037800224d524719 (diff)
downloadslackbuilds-912023ad7d66bccb1887bd009fbe224d9006d69b.tar.gz
slackbuilds-912023ad7d66bccb1887bd009fbe224d9006d69b.tar.xz
office/auctex: Updated for version 11.85
Diffstat (limited to 'office/auctex')
-rw-r--r--office/auctex/auctex.SlackBuild27
-rw-r--r--office/auctex/auctex.info12
2 files changed, 24 insertions, 15 deletions
diff --git a/office/auctex/auctex.SlackBuild b/office/auctex/auctex.SlackBuild
index 81b9bf397a..25c9045e39 100644
--- a/office/auctex/auctex.SlackBuild
+++ b/office/auctex/auctex.SlackBuild
@@ -2,15 +2,14 @@
# Slackware build script for AUCTeX
-# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
-
-set -e
+# Written by Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>
PRGNAM=auctex
-VERSION=11.84
+VERSION=${VERSION:-11.85}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,35 +19,45 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
--infodir=/usr/info
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
rm -f $PKG/usr/info/dir
@@ -56,7 +65,7 @@ gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGES COPYING ChangeLog FAQ INSTALL README RELEASE TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/office/auctex/auctex.info b/office/auctex/auctex.info
index cd8cc2c50c..055f87fc0c 100644
--- a/office/auctex/auctex.info
+++ b/office/auctex/auctex.info
@@ -1,8 +1,8 @@
PRGNAM="auctex"
-VERSION="11.84"
+VERSION="11.85"
HOMEPAGE="http://www.gnu.org/software/auctex/"
-DOWNLOAD="http://ftp.gnu.org/pub/gnu/auctex/auctex-11.84.tar.gz"
-MD5SUM="73970c51221524442c11cde13d0584e9"
-MAINTAINER="Aleksandar B. Samardzic"
-EMAIL="asamardzic@matf.bg.ac.yu"
-APPROVED="rworkman"
+DOWNLOAD="http://ftp.gnu.org/pub/gnu/auctex/auctex-11.85.tar.gz"
+MD5SUM="597c2adbee11877fe1f9b57baf0ba165"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="dsomero"